package com.example.test2;

import androidx.appcompat.app.AppCompatActivity;

import android.os.AsyncTask;
import android.os.Bundle;
import android.text.Editable;
import android.text.TextWatcher;
import android.view.View;
import android.widget.EditText;
import android.widget.Filter;
import android.widget.Filterable;
import android.widget.ListView;

import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;
import java.util.ArrayList;
import java.util.List;

public class MainActivity extends AppCompatActivity {
    private AdapterMask adapterMask;
    private List<Mask> maskList = new ArrayList<>();


    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        ListView listView = findViewById(R.id.List);
        adapterMask = new AdapterMask(MainActivity.this, maskList);
        listView.setAdapter(adapterMask);

        new Get().execute();
    }

    @Override
    protected void onStart(){
        super.onStart();

    }




    private class Get extends AsyncTask<Void, Void, String>{

        @Override
        protected String doInBackground(Void... voids) {
            try {
                URL url = new URL("https://ngknn.ru:5001/NGKNN/полковниковаав/api/Dogs/");
                HttpURLConnection connection = (HttpURLConnection) url.openConnection();

                BufferedReader reader = new BufferedReader(new InputStreamReader(connection.getInputStream()));

                StringBuilder result = new StringBuilder();
                String Line = "";

                while ((Line = reader.readLine()) != null){
                    result.append(Line);
                    return result.toString();
                }
            }catch (Exception e){

            }
            return null;
        }

        @Override
        protected void onPostExecute(String s){
            super.onPostExecute(s);

            try {
                JSONArray tempArray = new JSONArray(s);
                for (int i = 0; i<tempArray.length(); i++){
                    JSONObject Json = tempArray.getJSONObject(i);
                    Mask temp = new Mask(
                            Json.getInt("ID"),
                            Json.getString("Dog1"),
                            Json.getString("Info"),
                            Json.getString("Life_expectancy"),
                            Json.getString("Image")
                    );
                    maskList.add(temp);
                    adapterMask.notifyDataSetInvalidated();
                }
            }catch (Exception e){

            }
        }
    }


}